/* Grid Container */

/* First container */

.wp-block-uagb-container.cont-grid.cont-grid-bg {
  background-color: var(--ast-global-color-1);
  padding-top: calc(82px - 43px);
  margin-bottom: calc(var(--cont-gap) + 43px) !important;
}

.wp-block-uagb-container.cont-grid.cont-grid-bg *:not(h3) {
  color: var(--ast-global-color-4);
}

.wp-block-uagb-container.cont-grid .uagb-container-inner-blocks-wrap {
  column-gap: var(--gap-xl) !important;
}

.wp-block-uagb-container.cont-grid .grid-col-txt {
  gap: var(--gap-l) !important;
  width: 33.33% !important;
}

.wp-block-uagb-container.cont-grid .grid-col-txt h3 {
  margin-bottom: calc((var(--gap-l) - var(--gap-m)) * -1);
}

.wp-block-uagb-container.cont-grid .grid-col-img {
  width: 59.26% !important;
  gap: 24px !important;
}

.wp-block-uagb-container.cont-grid.cont-grid-bg .grid-col-img {
  transform: translateY(43px);
}

#primary .wp-block-uagb-container.cont-grid .grid-col-img .cont-img-grid-1 {
  width: 85.63% !important;
}

.wp-block-uagb-container.cont-grid
  .grid-col-img
  .wp-block-uagb-container:last-child {
  gap: 24px !important;
  justify-content: flex-end;
  align-items: flex-start;
}

/* BUG fix IPHONE img width */
.col-person .col-img,
.col-person .col-img .wp-block-uagb-image,
.col-person .col-img .wp-block-uagb-image__figure,
.col-person .col-img img {
  width: 100%;
}

#primary .wp-block-uagb-container.cont-grid .grid-col-img .cont-img-grid-2 {
  width: 41.88% !important;
}

#primary .wp-block-uagb-container.cont-grid .grid-col-img .cont-img-grid-3 {
  width: 48.5% !important;
}

/* reverse */
.wp-block-uagb-container.cont-grid.cont-grid-reverse
  .grid-col-img
  .wp-block-uagb-container:last-child {
  justify-content: flex-start;
}

.wp-block-uagb-container.cont-grid.cont-grid-reverse .grid-col-img {
  transform: translateY(0);
}

.wp-block-uagb-container.cont-grid.cont-grid-reverse .cont-img-grid-1 {
  margin-left: auto;
}

#primary
  .wp-block-uagb-container.cont-grid.cont-grid-reverse
  .grid-col-img
  .cont-img-grid-2 {
  width: 48.5% !important;
}

#primary
  .wp-block-uagb-container.cont-grid.cont-grid-reverse
  .grid-col-img
  .cont-img-grid-3 {
  width: 41.88% !important;
}

@media (max-width: 1500px) {
  .wp-block-uagb-container.cont-grid .uagb-container-inner-blocks-wrap {
    column-gap: var(--gap-l) !important;
    max-width: 84vw !important;
  }
}

@media (max-width: 1200px) {
  .wp-block-uagb-container.cont-grid.cont-grid-bg {
    padding-bottom: var(--gap-xl);
  }
  .wp-block-uagb-container.cont-grid .grid-col-img {
    width: 45% !important;
  }

  .wp-block-uagb-container.cont-grid .grid-col-txt {
    gap: var(--gap-l) !important;
    width: 45% !important;
  }
}

@media (max-width: 1024px) {
  .wp-block-uagb-container.cont-grid .grid-col-img {
    margin: 0 !important;
  }

  .wp-block-uagb-container.cont-grid > .uagb-container-inner-blocks-wrap {
    flex-direction: column !important;
    gap: var(--gap-xl) !important;
  }

  .wp-block-uagb-container.cont-grid .grid-col-txt,
  .wp-block-uagb-container.cont-grid .grid-col-img {
    width: unset !important;
  }

  .wp-block-uagb-container.cont-grid.cont-grid-bg .grid-col-img {
    transform: translateY(0);
  }
  .wp-block-uagb-container.cont-grid.cont-grid-bg {
    padding-top: var(--gap-xl);
  }

  .wp-block-uagb-container.cont-grid.cont-grid-bg {
    margin-bottom: var(--cont-gap) !important;
  }
}

@media (max-width: 768px) {
  .wp-block-uagb-container.cont-grid .grid-col-img,
  .wp-block-uagb-container.cont-grid
    .grid-col-img
    .wp-block-uagb-container:last-child {
    gap: 9px !important;
  }

  #primary
    .wp-block-uagb-container.cont-grid:not(.cont-grid-reverse)
    .grid-col-img
    .cont-img-grid-2
    img,
  #primary
    .wp-block-uagb-container.cont-grid.cont-grid-reverse
    .grid-col-img
    .cont-img-grid-3
    img {
    aspect-ratio: 132/169;
  }
}
